Package org.lwjgl.opengl

# Class ARBSync

java.lang.Object
org.lwjgl.opengl.ARBSync

public final class ARBSync extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALREADY_SIGNALED`
Returned by ClientWaitSync:
`static final int`
`GL_CONDITION_SATISFIED`
Returned by ClientWaitSync:
`static final int`
`GL_MAX_SERVER_WAIT_TIMEOUT`
Accepted as the <pname> parameter of GetInteger64v:
`static final int`
`GL_OBJECT_TYPE`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_SIGNALED`
Returned in <values> for GetSynciv <pname> SYNC_STATUS:
`static final int`
`GL_SYNC_CONDITION`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_SYNC_FENCE`
Returned in <values> for GetSynciv <pname> OBJECT_TYPE:
`static final int`
`GL_SYNC_FLAGS`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_SYNC_FLUSH_COMMANDS_BIT`
Accepted in the <flags> parameter of ClientWaitSync:
`static final int`
`GL_SYNC_GPU_COMMANDS_COMPLETE`
Returned in <values> for GetSynciv <pname> SYNC_CONDITION:
`static final int`
`GL_SYNC_STATUS`
Accepted as the <pname> parameter of GetSynciv:
`static final int`
`GL_TIMEOUT_EXPIRED`
Returned by ClientWaitSync:
`static final long`
`GL_TIMEOUT_IGNORED`
Accepted in the <timeout> parameter of WaitSync:
`static final int`
`GL_UNSIGNALED`
Returned in <values> for GetSynciv <pname> SYNC_STATUS:
`static final int`
`GL_WAIT_FAILED`
Returned by ClientWaitSync:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glClientWaitSync(GLSync sync, int flags, long timeout)`
`static void`
`glDeleteSync(GLSync sync)`
`static GLSync`
`glFenceSync(int condition, int flags)`
`static long`
`glGetInteger64(int pname)`
Overloads glGetInteger64v.
`static void`
`glGetInteger64(int pname, LongBuffer params)`
`static int`
`glGetSync(GLSync sync, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static int`
`glGetSynci(GLSync sync, int pname)`
Overloads glGetSynciv.
`static boolean`
`glIsSync(GLSync sync)`
`static void`
`glWaitSync(GLSync sync, int flags, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_SERVER_WAIT_TIMEOUT

public static final int GL_MAX_SERVER_WAIT_TIMEOUT
Accepted as the <pname> parameter of GetInteger64v:

See Also:
  - Constant Field Values

### GL_OBJECT_TYPE

public static final int GL_OBJECT_TYPE
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_CONDITION

public static final int GL_SYNC_CONDITION
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_STATUS

public static final int GL_SYNC_STATUS
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_FLAGS

public static final int GL_SYNC_FLAGS
Accepted as the <pname> parameter of GetSynciv:

See Also:
  - Constant Field Values

### GL_SYNC_FENCE

public static final int GL_SYNC_FENCE
Returned in <values> for GetSynciv <pname> OBJECT_TYPE:

See Also:
  - Constant Field Values

### GL_SYNC_GPU_COMMANDS_COMPLETE

public static final int GL_SYNC_GPU_COMMANDS_COMPLETE
Returned in <values> for GetSynciv <pname> SYNC_CONDITION:

See Also:
  - Constant Field Values

### GL_UNSIGNALED

public static final int GL_UNSIGNALED
Returned in <values> for GetSynciv <pname> SYNC_STATUS:

See Also:
  - Constant Field Values

### GL_SIGNALED

public static final int GL_SIGNALED
Returned in <values> for GetSynciv <pname> SYNC_STATUS:

See Also:
  - Constant Field Values

### GL_SYNC_FLUSH_COMMANDS_BIT

public static final int GL_SYNC_FLUSH_COMMANDS_BIT
Accepted in the <flags> parameter of ClientWaitSync:

See Also:
  - Constant Field Values

### GL_TIMEOUT_IGNORED

public static final long GL_TIMEOUT_IGNORED
Accepted in the <timeout> parameter of WaitSync:

See Also:
  - Constant Field Values

### GL_ALREADY_SIGNALED

public static final int GL_ALREADY_SIGNALED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

### GL_TIMEOUT_EXPIRED

public static final int GL_TIMEOUT_EXPIRED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

### GL_CONDITION_SATISFIED

public static final int GL_CONDITION_SATISFIED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

### GL_WAIT_FAILED

public static final int GL_WAIT_FAILED
Returned by ClientWaitSync:

See Also:
  - Constant Field Values

## Method Details

### glFenceSync

public static GLSync glFenceSync(int condition, int flags)

### glIsSync

public static boolean glIsSync(GLSync sync)

### glDeleteSync

public static void glDeleteSync(GLSync sync)

### glClientWaitSync

public static int glClientWaitSync(GLSync sync, int flags, long timeout)

### glWaitSync

public static void glWaitSync(GLSync sync, int flags, long timeout)

### glGetInteger64

public static void glGetInteger64(int pname, LongBuffer params)

### glGetInteger64

public static long glGetInteger64(int pname)
Overloads glGetInteger64v.

### glGetSync

public static void glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)

### glGetSync

@Deprecated public static int glGetSync(GLSync sync, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetSynci(org.lwjgl.opengl.GLSync, int)` instead.
Overloads glGetSynciv.

### glGetSynci

public static int glGetSynci(GLSync sync, int pname)
Overloads glGetSynciv.